Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.fingerprint
Class LongFPSetTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.archive.util.fingerprint.LongFPSetTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class LongFPSetTestCase

extends junit.framework.TestCase

JUnit test suite for LongFPSet. This is an abstract class which defines the generic tests that test the `LongFPSet` interface. Subclasses may test specifics of `LongFPSet` subclass implementations

Version:
  $ Id:$
Author:
  James Casey

Constructor Summary
`LongFPSetTestCase(java.lang.String testName)` Create a new LongFPSetTest object

Method Summary
`(package private) abstract LongFPSet` | `makeLongFPSet()`
`void` | `setUp()`
`void` | `testAdd()` check that we can add fingerprints
`void` | `testContains()` check that contains() does what we expect
`void` | `testCount()` check count works ok
`void` | `testRemove()` test remove() works as expected
`void` | `testWithZero()` check we can call add/remove/contains() with 0 as a value

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongFPSetTestCase

    public LongFPSetTestCase(java.lang.String testName)

  Create a new LongFPSetTest object

  Parameters:
    `testName` - the name of the test

Method Detail

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### makeLongFPSet

    abstract LongFPSet makeLongFPSet()

### testAdd

    public void testAdd()

  check that we can add fingerprints

### testWithZero

    public void testWithZero()

  check we can call add/remove/contains() with 0 as a value

### testContains

    public void testContains()

  check that contains() does what we expect

### testRemove

    public void testRemove()

  test remove() works as expected

### testCount

    public void testCount()

  check count works ok

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.